%define build_all 1
%define single_is_qt 1
%define qtdir /usr/lib/qt3

Name: pinentry
Version: 0.7.0
Release: alt2

Group: File tools
Summary: Collection of simple PIN or passphrase entry dialogs
URL: http://www.gnupg.org/
License: GPL

PreReq: alternatives >= 0.0.6 info-install

Provides: %_bindir/%name
%if %single_is_qt
Provides: %name-qt = %version-%release
Obsoletes: %name-qt
%else
Provides: %name-gtk = %version-%release
Obsoletes: %name-gtk
%endif

Source0: %name-%version.tar.bz2
Patch1:		%{name}-system-assuan.patch

# Automatically added by buildreq on Tue Apr 06 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib-devel gtk+-devel libalternatives-devel libassuan-devel libcap-devel libncurses-devel libqt3-devel libstdc++-devel libtinfo-devel

#for alternatives macros
BuildPreReq: libalternatives-devel
BuildRequires: XFree86-devel XFree86-libs fontconfig
BuildRequires: freetype2 gcc-c++
BuildRequires: libassuan-devel libcap-devel libncurses-devel
BuildRequires: libqt3-devel libstdc++-devel libtinfo-devel
%if %build_all
#
BuildRequires: glib-devel gtk+-devel
BuildRequires: libqt3-devel libqt3-devel-cxx = %__gcc_version_base
#
%else
#
%if %single_is_qt
BuildRequires: libqt3-devel libqt3-devel-cxx = %__gcc_version_base
%else
BuildRequires: glib-devel gtk+-devel
%endif
#
%endif


%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%package curses
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name
PreReq: alternatives >= 0.0.6 info-install

%package gtk
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name
PreReq: alternatives >= 0.0.6 info-install

%package qt
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name
Obsoletes: %name
PreReq: alternatives >= 0.0.6 info-install
Requires: %{get_dep libqt3}

%description curses
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%description gtk
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%description qt
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%prep
%setup -q
%patch1 -p1
rm -f doc/*.info

%__libtoolize
%__aclocal
%__automake
%__autoconf

%build
#%%add_optflags -DUSE_KDE
export QTDIR=%qtdir

%if %build_all

%configure --enable-pinentry-gtk  --enable-pinentry-curses  --enable-pinentry-qt --enable-fallback-curses

%else

%if %single_is_qt
%configure --disable-pinentry-gtk --disable-pinentry-curses --enable-pinentry-qt --enable-fallback-curses
%else
%configure --enable-pinentry-gtk --disable-pinentry-curses --disable-pinentry-qt --enable-fallback-curses
%endif

%endif


%make

%install
mkdir -p %buildroot/%_bindir
%make install DESTDIR=%buildroot

#made three alternatives entries
%__install -d %buildroot/%_altdir
for i in curses gtk qt
do
cat >%buildroot/%_altdir/%name-$i<<EOF
<group name="candidate">
    <option name="link">%_bindir/%name</option>
    <option name="real">%_bindir/%name-$i</option>
    <option name="weight" type="number">WEIGHT</option>
</group>
EOF
done	

%__subst 's,WEIGHT,10,' %buildroot/%_altdir/%name-curses
%__subst 's,WEIGHT,20,' %buildroot/%_altdir/%name-gtk
%__subst 's,WEIGHT,30,' %buildroot/%_altdir/%name-qt

%post curses
%post_register_alternatives %name-curses -- %name-curses
%update_alternatives
#%install_info %name.info
%preun curses
%preun_unregister_alternatives %name-curses
%triggerpostun curses -- %name
%post_register_alternatives %name-curses

%post gtk
%post_register_alternatives %name-gtk -- %name-gtk
%update_alternatives
#%install_info %name.info
%preun gtk
%preun_unregister_alternatives %name-gtk
%triggerpostun gtk -- %name
%post_register_alternatives %name-gtk

%post qt
%post_register_alternatives %name-qt -- %name-qt
%update_alternatives
%install_info %name.info
%preun qt
%preun_unregister_alternatives %name-qt
%uninstall_info %name.info
%triggerpostun qt -- %name
%post_register_alternatives %name-qt

%post
%post_register_alternatives  %name-curses %name-qt %name-gtk -- %name
%if %single_is_qt
/usr/sbin/alternatives-update --ignore %_bindir/%name-gtk
%else
/usr/sbin/alternatives-update --ignore %_bindir/%name-qt
%endif
%install_info %name.info
%preun
%preun_unregister_alternatives  %name-curses %name-qt %name-gtk
%uninstall_info %name.info
%triggerpostun -- %name-curses
%post_register_alternatives %name-curses -- %name
%triggerpostun -- %name-gtk
%post_register_alternatives %name-gtk -- %name
%triggerpostun -- %name-qt
%post_register_alternatives %name-qt -- %name
%triggerpostun  -- %name < 0.6.6-alt2
%register_alternatives  %name-curses %name-qt %name-gtk -- %name

%if %build_all

%files curses
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_altdir/%name-curses
%_bindir/%name-curses
#%%_infodir/*.info*
%files gtk
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_altdir/%name-gtk
%_bindir/%name-gtk
#%%_infodir/*.info*
%files qt
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_altdir/%name-qt
%_bindir/%name-qt
%_infodir/*.info*

%else

%files
%_altdir/%{name}*
%_bindir/%{name}*
%_infodir/*.info*

%endif


%changelog
* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.7.0-alt2
- build all qt/gtk/curses
- update BuildRequires
- patch from PLD for build with system libassuan

* Thu Feb 12 2004 Sergey V Turchin <zerg at altlinux dot org> 0.7.0-alt1
- new version

* Fri Sep 05 2003 Sergey V Turchin <zerg at altlinux dot org> 0.6.9-alt3
- rebuild with Qt and with --enable-fallback-curses

* Wed May 07 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.6.9-alt2
- fix requires
- fix update of alternatives

* Wed May 07 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.6.9-alt1
- new version

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.6-alt3.1
- new alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.6-alt3
- PreReq fixes

* Thu Mar 13 2003 Stanislav Ievlev <inger@altlinux.ru> 0.6.6-alt2
- move to new alternatives scheme
- texinfo fix, added missing script to install info pages into info dir
- added trigger 'cause pervious scripts was proken

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.6.6-alt1
- build for ALT

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-1mdk
- update spec file from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-1mdk
- Initial package
